Status: Closed

Priority: Low

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22145
Description

The function getRequirePackages in python/plugins/processing/algs/r/RUtils.py includes packages that are commented out.

The regular expression in the function searches for the string 'library' without respect for lines that are commented out with a '#. The
returned list of packages includes package names for lines that are commented out in the .rsx file. As a result, getimortCommands in
python/plugins/processing/algs/r/RAlgorithm.py adds lines to the generated r script that tries to install packages that are not needed by
the script.

As an example:

in an .rsx file:

#library(network)

adds:

tryCatch(find.package("network"), error=function(e) install.packages("network", dependencies=TRUE))

to processing_script.r even though the library is not needed or used.

| can work around this in my code by removing the commented out library line from my .rsx file. However, the regular expression should
be modified to respect comments

Associated revisions

Revision f0cb706a - 2016-01-20 05:36 PM - Alexander Bruy

[processing] exclude commented R libraries when generating dependencies list (fix #14143)

History

#1 - 2016-01-20 08:36 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"f0cb706a5d91b06b8e80a9b9582ca695a6860e55".

#2 - 2017-05-01 10:58 AM - Giovanni Manghi
- Regression? set to No

2025-12-15 12




#3 - 2017-05-01 11:01 AM - Giovanni Manghi
- Easy fix? set to No

#4 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them
orphaned of a category they are being reassigned to processing/core.

#5 - 2017-05-01 11:06 AM - Giovanni Manghi
- Category changed from 124 to Processing/Core
